complexType "LimitedCreditDefaultSwap"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | generalTerms, feeLeg, protectionTerms+
</...>

Content Model Elements (3):

  feeLeg (defined in LimitedCreditDefaultSwap complexType),
  generalTerms (defined in LimitedCreditDefaultSwap complexType),
  protectionTerms (defined in LimitedCreditDefaultSwap complexType)

Annotation
A limited version of the CDS type used as an underlyer to CDS options in Transparency view, to avoid requiring product type etc.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="LimitedCreditDefaultSwap"> <xsd:sequence> <xsd:element name="generalTerms" type="GeneralTerms"/> <xsd:element name="feeLeg" type="FeeLeg"/> <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
feeLeg

  Type: | FeeLeg, complex content

  This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="feeLeg" type="FeeLeg"/>

generalTerms

  Type: | GeneralTerms, complex content

  This element contains all the data that appears in the section entitled "1. General Terms" in the 2003 ISDA Credit Derivatives Confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="generalTerms" type="GeneralTerms"/>

protectionTerms

  Type: | ProtectionTerms, complex content

  This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.